'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var _typesAssignmentExpression = require('./types/AssignmentExpression');

var _typesAssignmentExpression2 = _interopRequireDefault(_typesAssignmentExpression);

var _typesAssignmentPattern = require('./types/AssignmentPattern');

var _typesAssignmentPattern2 = _interopRequireDefault(_typesAssignmentPattern);

var _typesArrayExpression = require('./types/ArrayExpression');

var _typesArrayExpression2 = _interopRequireDefault(_typesArrayExpression);

var _typesArrayPattern = require('./types/ArrayPattern');

var _typesArrayPattern2 = _interopRequireDefault(_typesArrayPattern);

var _typesArrowFunctionExpression = require('./types/ArrowFunctionExpression');

var _typesArrowFunctionExpression2 = _interopRequireDefault(_typesArrowFunctionExpression);

var _typesAwaitExpression = require('./types/AwaitExpression');

var _typesAwaitExpression2 = _interopRequireDefault(_typesAwaitExpression);

var _typesBinaryExpression = require('./types/BinaryExpression');

var _typesBinaryExpression2 = _interopRequireDefault(_typesBinaryExpression);

var _typesBlockStatement = require('./types/BlockStatement');

var _typesBlockStatement2 = _interopRequireDefault(_typesBlockStatement);

var _typesBreakStatement = require('./types/BreakStatement');

var _typesBreakStatement2 = _interopRequireDefault(_typesBreakStatement);

var _typesCallExpression = require('./types/CallExpression');

var _typesCallExpression2 = _interopRequireDefault(_typesCallExpression);

var _typesCatchClause = require('./types/CatchClause');

var _typesCatchClause2 = _interopRequireDefault(_typesCatchClause);

var _typesClassBody = require('./types/ClassBody');

var _typesClassBody2 = _interopRequireDefault(_typesClassBody);

var _typesClassDeclaration = require('./types/ClassDeclaration');

var _typesClassDeclaration2 = _interopRequireDefault(_typesClassDeclaration);

var _typesClassExpression = require('./types/ClassExpression');

var _typesClassExpression2 = _interopRequireDefault(_typesClassExpression);

var _typesConditionalExpression = require('./types/ConditionalExpression');

var _typesConditionalExpression2 = _interopRequireDefault(_typesConditionalExpression);

var _typesContinueStatement = require('./types/ContinueStatement');

var _typesContinueStatement2 = _interopRequireDefault(_typesContinueStatement);

var _typesDebuggerStatement = require('./types/DebuggerStatement');

var _typesDebuggerStatement2 = _interopRequireDefault(_typesDebuggerStatement);

var _typesDoWhileStatement = require('./types/DoWhileStatement');

var _typesDoWhileStatement2 = _interopRequireDefault(_typesDoWhileStatement);

var _typesEmptyStatement = require('./types/EmptyStatement');

var _typesEmptyStatement2 = _interopRequireDefault(_typesEmptyStatement);

var _typesExportAllDeclaration = require('./types/ExportAllDeclaration');

var _typesExportAllDeclaration2 = _interopRequireDefault(_typesExportAllDeclaration);

var _typesExportDefaultDeclaration = require('./types/ExportDefaultDeclaration');

var _typesExportDefaultDeclaration2 = _interopRequireDefault(_typesExportDefaultDeclaration);

var _typesExportNamedDeclaration = require('./types/ExportNamedDeclaration');

var _typesExportNamedDeclaration2 = _interopRequireDefault(_typesExportNamedDeclaration);

var _typesExportSpecifier = require('./types/ExportSpecifier');

var _typesExportSpecifier2 = _interopRequireDefault(_typesExportSpecifier);

var _typesExpressionStatement = require('./types/ExpressionStatement');

var _typesExpressionStatement2 = _interopRequireDefault(_typesExpressionStatement);

var _typesForInStatement = require('./types/ForInStatement');

var _typesForInStatement2 = _interopRequireDefault(_typesForInStatement);

var _typesForOfStatement = require('./types/ForOfStatement');

var _typesForOfStatement2 = _interopRequireDefault(_typesForOfStatement);

var _typesForStatement = require('./types/ForStatement');

var _typesForStatement2 = _interopRequireDefault(_typesForStatement);

var _typesFunctionDeclaration = require('./types/FunctionDeclaration');

var _typesFunctionDeclaration2 = _interopRequireDefault(_typesFunctionDeclaration);

var _typesFunctionExpression = require('./types/FunctionExpression');

var _typesFunctionExpression2 = _interopRequireDefault(_typesFunctionExpression);

var _typesIdentifier = require('./types/Identifier');

var _typesIdentifier2 = _interopRequireDefault(_typesIdentifier);

var _typesIfStatement = require('./types/IfStatement');

var _typesIfStatement2 = _interopRequireDefault(_typesIfStatement);

var _typesImportDeclaration = require('./types/ImportDeclaration');

var _typesImportDeclaration2 = _interopRequireDefault(_typesImportDeclaration);

var _typesImportDefaultSpecifier = require('./types/ImportDefaultSpecifier');

var _typesImportDefaultSpecifier2 = _interopRequireDefault(_typesImportDefaultSpecifier);

var _typesImportNamespaceSpecifier = require('./types/ImportNamespaceSpecifier');

var _typesImportNamespaceSpecifier2 = _interopRequireDefault(_typesImportNamespaceSpecifier);

var _typesImportSpecifier = require('./types/ImportSpecifier');

var _typesImportSpecifier2 = _interopRequireDefault(_typesImportSpecifier);

var _typesLabeledStatement = require('./types/LabeledStatement');

var _typesLabeledStatement2 = _interopRequireDefault(_typesLabeledStatement);

var _typesLiteral = require('./types/Literal');

var _typesLiteral2 = _interopRequireDefault(_typesLiteral);

var _typesLogicalExpression = require('./types/LogicalExpression');

var _typesLogicalExpression2 = _interopRequireDefault(_typesLogicalExpression);

var _typesMemberExpression = require('./types/MemberExpression');

var _typesMemberExpression2 = _interopRequireDefault(_typesMemberExpression);

var _typesMetaProperty = require('./types/MetaProperty');

var _typesMetaProperty2 = _interopRequireDefault(_typesMetaProperty);

var _typesMethodDefinition = require('./types/MethodDefinition');

var _typesMethodDefinition2 = _interopRequireDefault(_typesMethodDefinition);

var _typesNewExpression = require('./types/NewExpression');

var _typesNewExpression2 = _interopRequireDefault(_typesNewExpression);

var _typesObjectExpression = require('./types/ObjectExpression');

var _typesObjectExpression2 = _interopRequireDefault(_typesObjectExpression);

var _typesObjectPattern = require('./types/ObjectPattern');

var _typesObjectPattern2 = _interopRequireDefault(_typesObjectPattern);

var _typesProgram = require('./types/Program');

var _typesProgram2 = _interopRequireDefault(_typesProgram);

var _typesProperty = require('./types/Property');

var _typesProperty2 = _interopRequireDefault(_typesProperty);

var _typesRestElement = require('./types/RestElement');

var _typesRestElement2 = _interopRequireDefault(_typesRestElement);

var _typesReturnStatement = require('./types/ReturnStatement');

var _typesReturnStatement2 = _interopRequireDefault(_typesReturnStatement);

var _typesSequenceExpression = require('./types/SequenceExpression');

var _typesSequenceExpression2 = _interopRequireDefault(_typesSequenceExpression);

var _typesSpreadElement = require('./types/SpreadElement');

var _typesSpreadElement2 = _interopRequireDefault(_typesSpreadElement);

var _typesSpreadProperty = require('./types/SpreadProperty');

var _typesSpreadProperty2 = _interopRequireDefault(_typesSpreadProperty);

var _typesSuper = require('./types/Super');

var _typesSuper2 = _interopRequireDefault(_typesSuper);

var _typesSwitchCase = require('./types/SwitchCase');

var _typesSwitchCase2 = _interopRequireDefault(_typesSwitchCase);

var _typesSwitchStatement = require('./types/SwitchStatement');

var _typesSwitchStatement2 = _interopRequireDefault(_typesSwitchStatement);

var _typesTaggedTemplateExpression = require('./types/TaggedTemplateExpression');

var _typesTaggedTemplateExpression2 = _interopRequireDefault(_typesTaggedTemplateExpression);

var _typesTemplateElement = require('./types/TemplateElement');

var _typesTemplateElement2 = _interopRequireDefault(_typesTemplateElement);

var _typesTemplateLiteral = require('./types/TemplateLiteral');

var _typesTemplateLiteral2 = _interopRequireDefault(_typesTemplateLiteral);

var _typesThisExpression = require('./types/ThisExpression');

var _typesThisExpression2 = _interopRequireDefault(_typesThisExpression);

var _typesThrowStatement = require('./types/ThrowStatement');

var _typesThrowStatement2 = _interopRequireDefault(_typesThrowStatement);

var _typesTryStatement = require('./types/TryStatement');

var _typesTryStatement2 = _interopRequireDefault(_typesTryStatement);

var _typesUnaryExpression = require('./types/UnaryExpression');

var _typesUnaryExpression2 = _interopRequireDefault(_typesUnaryExpression);

var _typesUpdateExpression = require('./types/UpdateExpression');

var _typesUpdateExpression2 = _interopRequireDefault(_typesUpdateExpression);

var _typesVariableDeclaration = require('./types/VariableDeclaration');

var _typesVariableDeclaration2 = _interopRequireDefault(_typesVariableDeclaration);

var _typesVariableDeclarator = require('./types/VariableDeclarator');

var _typesVariableDeclarator2 = _interopRequireDefault(_typesVariableDeclarator);

var _typesWithStatement = require('./types/WithStatement');

var _typesWithStatement2 = _interopRequireDefault(_typesWithStatement);

var _typesWhileStatement = require('./types/WhileStatement');

var _typesWhileStatement2 = _interopRequireDefault(_typesWhileStatement);

var _typesYieldExpression = require('./types/YieldExpression');

var _typesYieldExpression2 = _interopRequireDefault(_typesYieldExpression);

exports['default'] = {
    AssignmentExpression: _typesAssignmentExpression2['default'],
    AssignmentPattern: _typesAssignmentPattern2['default'],
    ArrayExpression: _typesArrayExpression2['default'],
    ArrayPattern: _typesArrayPattern2['default'],
    ArrowFunctionExpression: _typesArrowFunctionExpression2['default'],
    AwaitExpression: _typesAwaitExpression2['default'],
    BinaryExpression: _typesBinaryExpression2['default'],
    BlockStatement: _typesBlockStatement2['default'],
    BreakStatement: _typesBreakStatement2['default'],
    CallExpression: _typesCallExpression2['default'],
    CatchClause: _typesCatchClause2['default'],
    ClassBody: _typesClassBody2['default'],
    ClassDeclaration: _typesClassDeclaration2['default'],
    ClassExpression: _typesClassExpression2['default'],
    ConditionalExpression: _typesConditionalExpression2['default'],
    ContinueStatement: _typesContinueStatement2['default'],
    DebuggerStatement: _typesDebuggerStatement2['default'],
    DoWhileStatement: _typesDoWhileStatement2['default'],
    EmptyStatement: _typesEmptyStatement2['default'],
    ExportAllDeclaration: _typesExportAllDeclaration2['default'],
    ExportDefaultDeclaration: _typesExportDefaultDeclaration2['default'],
    ExportNamedDeclaration: _typesExportNamedDeclaration2['default'],
    ExportSpecifier: _typesExportSpecifier2['default'],
    ExpressionStatement: _typesExpressionStatement2['default'],
    ForInStatement: _typesForInStatement2['default'],
    ForOfStatement: _typesForOfStatement2['default'],
    ForStatement: _typesForStatement2['default'],
    FunctionDeclaration: _typesFunctionDeclaration2['default'],
    FunctionExpression: _typesFunctionExpression2['default'],
    Identifier: _typesIdentifier2['default'],
    IfStatement: _typesIfStatement2['default'],
    ImportDeclaration: _typesImportDeclaration2['default'],
    ImportDefaultSpecifier: _typesImportDefaultSpecifier2['default'],
    ImportNamespaceSpecifier: _typesImportNamespaceSpecifier2['default'],
    ImportSpecifier: _typesImportSpecifier2['default'],
    LabeledStatement: _typesLabeledStatement2['default'],
    Literal: _typesLiteral2['default'],
    LogicalExpression: _typesLogicalExpression2['default'],
    MemberExpression: _typesMemberExpression2['default'],
    MetaProperty: _typesMetaProperty2['default'],
    MethodDefinition: _typesMethodDefinition2['default'],
    NewExpression: _typesNewExpression2['default'],
    ObjectExpression: _typesObjectExpression2['default'],
    ObjectPattern: _typesObjectPattern2['default'],
    Program: _typesProgram2['default'],
    Property: _typesProperty2['default'],
    RestElement: _typesRestElement2['default'],
    ReturnStatement: _typesReturnStatement2['default'],
    SequenceExpression: _typesSequenceExpression2['default'],
    SpreadElement: _typesSpreadElement2['default'],
    SpreadProperty: _typesSpreadProperty2['default'],
    Super: _typesSuper2['default'],
    SwitchCase: _typesSwitchCase2['default'],
    SwitchStatement: _typesSwitchStatement2['default'],
    TaggedTemplateExpression: _typesTaggedTemplateExpression2['default'],
    TemplateElement: _typesTemplateElement2['default'],
    TemplateLiteral: _typesTemplateLiteral2['default'],
    ThisExpression: _typesThisExpression2['default'],
    ThrowStatement: _typesThrowStatement2['default'],
    TryStatement: _typesTryStatement2['default'],
    UnaryExpression: _typesUnaryExpression2['default'],
    UpdateExpression: _typesUpdateExpression2['default'],
    VariableDeclaration: _typesVariableDeclaration2['default'],
    VariableDeclarator: _typesVariableDeclarator2['default'],
    WithStatement: _typesWithStatement2['default'],
    WhileStatement: _typesWhileStatement2['default'],
    YieldExpression: _typesYieldExpression2['default']
};
module.exports = exports['default'];