'use strict';

Object.defineProperty(exports, '__esModule', {
    value: true
});

var _createClass = (function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ('value' in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; })();

var _get = function get(_x, _x2, _x3) { var _again = true; _function: while (_again) { var object = _x, property = _x2, receiver = _x3; desc = parent = getter = undefined; _again = false; if (object === null) object = Function.prototype; var desc = Object.getOwnPropertyDescriptor(object, property); if (desc === undefined) { var parent = Object.getPrototypeOf(object); if (parent === null) { return undefined; } else { _x = parent; _x2 = property; _x3 = receiver; _again = true; continue _function; } } else if ('value' in desc) { return desc.value; } else { var getter = desc.get; if (getter === undefined) { return undefined; } return getter.call(receiver); } } };

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError('Cannot call a class as a function'); } }

function _inherits(subClass, superClass) { if (typeof superClass !== 'function' && superClass !== null) { throw new TypeError('Super expression must either be null or a function, not ' + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _Statement2 = require('../Statement');

var _Statement3 = _interopRequireDefault(_Statement2);

var _utilsElementSearchIndex = require('./utils/ElementSearchIndex');

var _utilsElementSearchIndex2 = _interopRequireDefault(_utilsElementSearchIndex);

var Program = (function (_Statement) {
    _inherits(Program, _Statement);

    function Program(childNodes) {
        _classCallCheck(this, Program);

        _get(Object.getPrototypeOf(Program.prototype), 'constructor', this).call(this, 'Program', childNodes);

        this._isProgram = true;
        this._searchIndex = new _utilsElementSearchIndex2['default']();
        this._searchIndex.addElements(childNodes);
    }

    _createClass(Program, [{
        key: '_acceptChildren',
        value: function _acceptChildren(children) {
            children.skipNonCode();

            var body = [];
            while (children.isStatement()) {
                body.push(children.passStatement());
                children.skipNonCode();
            }

            children.passToken('EOF');
            children.assertEnd();

            this._body = body;
        }

        /**
         * Returns node list with specified type from the tree.
         *
         * @param {String} type
         * @returns {Node[]}
         */
    }, {
        key: 'selectNodesByType',
        value: function selectNodesByType(type) {
            return this._searchIndex.selectNodesByType(type);
        }

        /**
         * Returns tokens list with specified type from the tree.
         *
         * @param {String} type
         * @returns {Token[]}
         */
    }, {
        key: 'selectTokensByType',
        value: function selectTokensByType(type) {
            return this._searchIndex.selectTokensByType(type);
        }
    }, {
        key: '_addElementsToSearchIndex',
        value: function _addElementsToSearchIndex(elements) {
            this._searchIndex.addElements(elements);
        }
    }, {
        key: '_removeElementsFromSearchIndex',
        value: function _removeElementsFromSearchIndex(elements) {
            this._searchIndex.removeElements(elements);
        }
    }, {
        key: 'body',
        get: function get() {
            return this._body.concat();
        }
    }]);

    return Program;
})(_Statement3['default']);

exports['default'] = Program;
module.exports = exports['default'];